// #![
#[cfg(feature = "f32")]
pub type Flt = f32;
#[cfg(feature = "f32")]
pub const pi: Flt = std::f32::consts::PI;

#[cfg(feature = "f64")]
pub type Flt = f64;
#[cfg(feature = "f64")]
pub const pi: Flt = std::f64::consts::PI;

use num::complex::*;
pub type Cflt = Complex<Flt>;

use numpy::ndarray::{Array1, Array2};
pub type Vd = Vec<Flt>;
pub type Vc = Vec<Cflt>;

pub type Dmat = Array2<Flt>;
pub type Cmat = Array2<Cflt>;

